Bug 17124 - /usr/sbin/apache2 nicht ausführbar
/usr/sbin/apache2 nicht ausführbar
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Apache
UCS 2.2
Other Linux
: P5 normal (vote)
: UCS 2.3-1
Assigned To: Andreas Büsching
Philipp Hahn
:
: 17354 17459 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-21 08:16 CET by Tobias Scherer
Modified: 2010-02-18 14:37 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Scherer univentionstaff 2009-12-21 08:16:35 CET
Berichtet an Ticket#: 2009092310000263

Aufgefallen da die Anmeldung an ThinClients nicht funktionierte. /usr/sbin/univention-findserver.sh gab nichts zurück, da der Apache nicht lief. Dieser konnte nicht starten, da er nicht ausführbar war:

root@ucs-slave:~# ls -l /usr/sbin/apache2
 -rw-r--r-- 1 root root 324284 2009-05-05 15:43 /usr/sbin/apache2
Comment 1 Andreas Büsching univentionstaff 2009-12-23 15:38:50 CET
Hierfür wird erst einmal im Updater direkt geprüft, ob das Update sauber durchläuft. Im Fehlerfall werden das hier berichtete Problem dann korrigiert. In einer erweiterten Variante wird es dann ein Cleanup-Skript geben. Siehe Bug #17189
Comment 2 Andreas Büsching univentionstaff 2009-12-23 16:24:15 CET
Im Fehlerfall werden jetzt die Rechte für apache2 und umc wieder auf 755 gesetzt. ChangeLog Eintrag ist hinzugefügt.
Comment 3 Philipp Hahn univentionstaff 2010-01-04 11:12:17 CET
In "preup.sh" wird 'dpkg-statoverride --add' verwendet, was im "postup.sh" auch passend rückgängig gemacht wird, nicht aber so im "univention-updater". Nach dem  Einspielen eines (Security-)Updates werden die Programmdateien daher wieder die (falschen) Rechte besitzen! Es müssen auch noch die passende Aufrufe von 'dpkg-statoverwrite --remove /usr/sbin/...' ergänzt werden.
Comment 4 Andreas Büsching univentionstaff 2010-01-05 10:42:06 CET
stat-override Einträge werden jetzt auch entfernt.
Comment 5 Stefan Gohmann univentionstaff 2010-01-15 06:56:45 CET
*** Bug 17354 has been marked as a duplicate of this bug. ***
Comment 6 Philipp Hahn univentionstaff 2010-01-15 07:49:40 CET
Siehe Bug #17354 für ein weiteres Problem inklusive Attachment #2223 [details] für den Patch.
Da mindestens alle UCS_2.3-Systeme nach dem Einspielen eines Security Updates über die UMC von dem Problem betroffen sind, sollte das auch noch auf irgendeine Weise korrigiert werden.
Comment 7 Andreas Büsching univentionstaff 2010-01-18 11:30:36 CET
(In reply to comment #6)
> Siehe Bug #17354 für ein weiteres Problem inklusive Attachment #2223 [details] für den
> Patch.
> Da mindestens alle UCS_2.3-Systeme nach dem Einspielen eines Security Updates
> über die UMC von dem Problem betroffen sind, sollte das auch noch auf
> irgendeine Weise korrigiert werden.

Der Patch ist jetzt in leicht angepasster Form enthalten. Im Test wurde das Security-Update 1 für 2.3 erfolgreich über UMC eingespielt.

univention-updater wird gerade gebaut.
Comment 8 Philipp Hahn univentionstaff 2010-01-25 16:30:00 CET
Das Security-Update 2.3-0-1 konnte ohne Probleme eingespielt werden.
Ein Update auf 2.3-1 konnte auch ohne Probleme durchgeführt werden.
/usr/sbin/apache2 und /usr/sbin/univention-management-console-server waren danach beide wieder ausführbar und nicht in dpkg-statoverride vorhanden.

Auf Grund der Tatsache, daß alle früheren univention-updater den Exit-Status des preup.sh-Skripts nicht ausgewertet haben, und weil dieses daher im Fehlerfall den updater per "killall univention-updaterkill" beendet, wird es weiterhin Fälle geben, in denen apache2 und umc-server anschließend nicht ausführbar sind, nämlich in all den Fehlen, wo zwischen dem Eintragen der "dpkg-statoverride"-Einträge und dem Ende des "preup.sh"-Skripts ein "exit" steht. Von daher sollte das Rückgängig-Machen von "chmod -x" und "dpkg-statoverride" besser auch noch in die "cleanup()"-Funktion angehängt werden.
Comment 9 Stefan Gohmann univentionstaff 2010-01-28 07:29:26 CET
*** Bug 17459 has been marked as a duplicate of this bug. ***
Comment 10 Andreas Büsching univentionstaff 2010-01-28 14:07:25 CET
Die Erweiterung ist jetzt auch in der cleanup Funktion enthalten. univention-updater baut gerade neu
Comment 11 Philipp Hahn univentionstaff 2010-01-29 12:36:51 CET
Auch nach allen Fehlern im preup.sh Skript sind apache2 und u-m-c-server wieder ausführbar und dpkg-statoverride ist bereinigt.

Getestet mit einem eigenen Repository und künstlichen Fehlern im preup.sh Skript.

ChangeLog-Einntrag ist vorhanden.

-> Verified
Comment 12 Arvid Requate univentionstaff 2010-02-18 14:33:28 CET
UCS 2.3-1 wurde veröffentlicht. Sollte der hier beschriebene Bug mit einer
neueren Version von UCS erneut auftreten, so sollte der Bug dupliziert werden:
"Clone This Bug".